export const ProductColumns = [
  { type: 'checkbox', width: 50, align: 'center', fixed: 'left' },
  {
    field: 'is_monitor', title: '监控管理', width: 90, align: 'center', fixed: 'left',
    slots: { default: 'is_monitor' }
  },
  {
    field: 'product_info', title: '商品信息', width: 280, align: 'center', fixed: 'left',
    slots: { default: 'product_info' }
  },
  {
    field: 'sku', title: 'SKU', width: 'auto', align: 'center',
    slots: { default: 'sku' }
  },
  {
    field: 'platform_number', title: '平台编号', width: 'auto', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', width: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'shop_name', title: '店 铺', minWidth: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', minWidth: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格', width: 150, align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'show_price', title: '指导价格', width: 150, align: 'left',
    slots: { default: 'show_price' }
  },
  {
    field: 'launch_date', title: '上架日期', width: 110, align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', width: 'auto', align: 'center',
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', width: 90, align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 180, align: 'center',
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 180, align: 'center',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 90, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const ProductMonitorColumns = [
  { type: 'checkbox', minWidth: 50, align: 'center', fixed: 'left' },
  {
    field: 'product_info', title: '商品信息', minWidth: 'auto', align: 'center', fixed: 'left',
    slots: { default: 'product_info' }
  },
  {
    field: 'sku', title: 'SKU', width: 'auto', align: 'center',
    slots: { default: 'sku' }
  },
  {
    field: 'platform_number', title: '平台编号', width: 'auto', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', width: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'shop_name', title: '店 铺', width: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', width: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格', width: 'auto', align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'show_price', title: '指导价格', width: 'auto', align: 'left',
    slots: { default: 'show_price' }
  },
  {
    field: 'score', title: '子ASIN计算评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'score' }
  },
  {
    field: 'all_score', title: '亚马逊显示评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_score' }
  },
  {
    field: 'stars', title: '子ASIN星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'stars' }
  },
  {
    field: 'all_stars', title: '亚马逊星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'all_stars' }
  },
  {
    field: 'ratings', title: '子ASIN评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'ratings' }
  },
  {
    field: 'all_ratings', title: '亚马逊显示评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_ratings' }
  },
  {
    field: 'reviews', title: '子ASIN评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'reviews' }
  },
  {
    field: 'all_reviews', title: '亚马逊显示评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_reviews' }
  },
  {
    field: 'launch_date', title: '上架日期', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', width: 'auto', align: 'center',
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', width: 'auto', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 'auto', align: 'center',
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 'auto', align: 'center',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 90, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const CompetitorMonitorColumns = [
  { type: 'checkbox', minWidth: 50, align: 'center', fixed: 'left' },
  {
    field: 'product_info', title: '商品信息', minWidth: 'auto', align: 'center', fixed: 'left',
    slots: { default: 'product_info' }
  },
  {
    field: 'country_code', title: '国 家', width: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', width: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'shop_name', title: '店 铺', width: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', width: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格', width: 'auto', align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'score', title: '子ASIN计算评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'score' }
  },
  {
    field: 'all_score', title: '亚马逊显示评分', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_score' }
  },
  {
    field: 'stars', title: '子ASIN星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'stars' }
  },
  {
    field: 'all_stars', title: '亚马逊星级分布', width: 'auto', headerAlign: 'center', align: 'center',
    slots: { default: 'all_stars' }
  },
  {
    field: 'ratings', title: '子ASIN评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'ratings' }
  },
  {
    field: 'all_ratings', title: '亚马逊显示评分人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_ratings' }
  },
  {
    field: 'reviews', title: '子ASIN评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'reviews' }
  },
  {
    field: 'all_reviews', title: '亚马逊显示评论人数', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'all_reviews' }
  },
  {
    field: 'launch_date', title: '上架日期', width: 'auto', align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', width: 'auto', align: 'center',
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', width: 'auto', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 'auto', align: 'center', showOverflow: true,
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 90, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const HistoricalColumns = [
  {
    field: 'create_datetime', title: '时 间', align: 'center', fixed: 'left',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'field', title: '变更项', align: 'center',
    slots: { default: 'field' }
  },
  {
    field: 'old_val', title: '原 值', align: 'center',
    slots: { default: 'old_val' }
  },
  {
    field: 'new_val', title: '现 值', align: 'center',
    slots: { default: 'new_val' }
  }
];

export const CompetitorMonitorCommentColumns = [
  {
    field: 'country_code', title: '国 家', width: 90, align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'title', title: '标 题', minWidth: 130, align: 'center',
    slots: { default: 'title' }
  },
  {
    field: 'reviewer_name', title: '用户昵称', minWidth: 110, align: 'center',
    slots: { default: 'reviewer_name' }
  },
  {
    field: 'review_date', title: '评论日期', width: 130, align: 'center',
    slots: { default: 'review_date' }
  },
  {
    field: 'content', title: '评论内容', minWidth: 400, align: 'center',
    slots: { default: 'content' }
  },
  {
    field: 'score', title: '用户评分', minWidth: 145, align: 'center',
    slots: { default: 'score' }
  },
  {
    field: 'tiv', title: '评论类型', width: 100, align: 'center',
    slots: { default: 'tiv' }
  },
  {
    field: 'helpful', title: '评论有用人数', width: 95, align: 'center',
    slots: { default: 'helpful' }
  },
  {
    field: 'verified', title: '认证购买', width: 90, align: 'center',
    slots: { default: 'verified' }
  },
  {
    field: 'create_datetime', title: '创建时间', width: 158, align: 'center',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', width: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const NegativeLabelColumns = [
  { type: 'seq', title: '序 号', width: 50, align: 'center' },
  { field: 'raw_label', title: '原始标签', minWidth: 'auto', align: 'center', showOverflow: true },
  { field: 'kind', title: '类 别', width: 'auto', align: 'center', showOverflow: true },
  { field: 'update_datetime', title: '更新时间', width: 'auto', align: 'center', showOverflow: true },
  { field: 'create_datetime', title: '创建时间', width: 'auto', align: 'center', showOverflow: true },
  { field: 'operate', fixed: 'right', title: '操 作', align: 'center', width: 90, slots: { default: 'operate' } }
];
